Eclipse PDE Release 3.7

## org.eclipse.pde.ui
Interface IFieldData

All Known Subinterfaces:
  IFragmentFieldData, IPluginFieldData

    public interface IFieldData

The class that implements this interface is used to provide information captured in the 'New Plug-in Project' wizard pages as entered by the user. The information is the provided to other consumers when generating content so that the content can be configured/customized according to the data.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`String` `getId()` Plug-in identifier field.
`String` `getLibraryName()` Plug-in library field
`String` `getName()` Plug-in name field
`String` `getOutputFolderName()` Output folder field
`String` `getProvider()` Plug-in provider field
`String` `getSourceFolderName()` Source folder field
`String` `getVersion()` Plug-in version field.
`boolean` `hasBundleStructure()` OSGi bundle selection
`boolean` `isLegacy()` Legacy selection
`boolean` `isSimple()` Simple project selection

Method Detail

### getId

    String getId()

  Plug-in identifier field.

  Returns:
    plug-in identifier as entered in the wizard

### getVersion

    String getVersion()

  Plug-in version field.

  Returns:
    plug-in version as entered in the wizard

### getName

    String getName()

  Plug-in name field

  Returns:
    plug-in name as entered in the wizard

### getProvider

    String getProvider()

  Plug-in provider field

  Returns:
    plug-in provider as entered in the wizard

### getLibraryName

    String getLibraryName()

  Plug-in library field

  Returns:
    the name of the initial Java library

### getSourceFolderName

    String getSourceFolderName()

  Source folder field

  Returns:
    the name of the Java source folder

### getOutputFolderName

    String getOutputFolderName()

  Output folder field

  Returns:
    the name of the Java output folder

### isLegacy

    boolean isLegacy()

  Legacy selection

  Returns:
    `true` if the plug-in is created for use with products based on Eclipse before release 3.0, `false` if the plug-in is compatible with Eclipse 3.0.

### hasBundleStructure

    boolean hasBundleStructure()

  OSGi bundle selection

  Returns:
    `true` if the plug-in has structure as expected by OSGi framework in Eclipse 3.0 runtime, `false` if the plug-in has standard pre-3.0 layout.

### isSimple

    boolean isSimple()

  Simple project selection

  Returns:
    `true` if the plug-in should have no Java code and nature, `false` otherwise.

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.